Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorShawn O. Pearce2010-02-04 03:42:06 +0000
committerShawn O. Pearce2010-02-11 15:31:50 +0000
commitf50c28b7e1d8c6d259e9386c87ed691383ff11de (patch)
treea49a24f9b3e5edee8e6efb398000de3d27254828 /org.eclipse.egit.ui/META-INF
parent785f95dbd9397664099300bb6f5096fcc2f202f1 (diff)
downloadegit-f50c28b7e1d8c6d259e9386c87ed691383ff11de.tar.gz
egit-f50c28b7e1d8c6d259e9386c87ed691383ff11de.tar.xz
egit-f50c28b7e1d8c6d259e9386c87ed691383ff11de.zip
Update manifests to use versioned Import-Package or Require-Bundle
Rather than taking anything at random, take the >= 3.4 but less than 4.0 versions for any Eclipse package, and JGit 0.6.0,0.7.0. This documents the assumption we are making about targeting the 3.4 API platform for Eclipse, but hopefully working on a forward release up until 4.0. Change-Id: If3955b243dbd36b6bee63472fa480ac172a80354 Signed-off-by: Shawn O. Pearce <spearce@spearce.org>
Diffstat (limited to 'org.eclipse.egit.ui/META-INF')
-rw-r--r--org.eclipse.egit.ui/META-INF/MANIFEST.MF49
1 files changed, 32 insertions, 17 deletions
diff --git a/org.eclipse.egit.ui/META-INF/MANIFEST.MF b/org.eclipse.egit.ui/META-INF/MANIFEST.MF
index ac0db7dd0..3035d3bf8 100644
--- a/org.eclipse.egit.ui/META-INF/MANIFEST.MF
+++ b/org.eclipse.egit.ui/META-INF/MANIFEST.MF
@@ -6,23 +6,38 @@ Bundle-Version: 0.6.0.qualifier
Bundle-Activator: org.eclipse.egit.ui.Activator
Bundle-Vendor: %provider_name
Bundle-Localization: plugin
-Require-Bundle: org.eclipse.core.runtime,
- org.eclipse.core.resources,
- org.eclipse.core.filesystem,
- org.eclipse.core.net,
- org.eclipse.ui,
+Require-Bundle: org.eclipse.core.runtime;version="[3.4.0,4.0.0)",
+ org.eclipse.core.filesystem;version="[3.4.0,4.0.0)",
+ org.eclipse.core.resources;version="[3.4.0,4.0.0)",
+ org.eclipse.core.net;version="[3.4.0,4.0.0)",
+ org.eclipse.ui;version="[3.4.0,4.0.0)",
org.eclipse.team.core;bundle-version="3.4.0",
- org.eclipse.team.ui,
- org.eclipse.jface.text,
- org.eclipse.ui.ide,
- org.eclipse.ui.workbench.texteditor,
- org.eclipse.compare,
- org.eclipse.jgit,
- org.eclipse.egit.core,
- org.eclipse.ui.ide,
- org.eclipse.jsch.ui;bundle-version="1.1.100"
+ org.eclipse.team.ui;version="[3.4.0,4.0.0)",
+ org.eclipse.jface.text;version="[3.4.0,4.0.0)",
+ org.eclipse.ui.ide;version="[3.4.0,4.0.0)",
+ org.eclipse.ui.workbench.texteditor;version="[3.4.0,4.0.0)",
+ org.eclipse.compare;version="[3.4.0,4.0.0)",
+ org.eclipse.ui.ide;version="[3.4.0,4.0.0)",
+ org.eclipse.jsch.ui;bundle-version="1.1.100",
+ org.eclipse.jsch.core;bundle-version="[1.1.100,2.0.0)"
Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Import-Package: com.jcraft.jsch,
- org.eclipse.jsch.core,
- org.eclipse.jsch.internal.core
+Import-Package: com.jcraft.jsch;version="[0.1.41,0.2.0)",
+ org.eclipse.egit.core;version="[0.6.0,0.7.0)",
+ org.eclipse.egit.core.op;version="[0.6.0,0.7.0)",
+ org.eclipse.egit.core.project;version="[0.6.0,0.7.0)",
+ org.eclipse.jgit.diff;version="0.6.0",
+ org.eclipse.jgit.dircache;version="0.6.0",
+ org.eclipse.jgit.errors;version="0.6.0",
+ org.eclipse.jgit.fnmatch;version="0.6.0",
+ org.eclipse.jgit.lib;version="0.6.0",
+ org.eclipse.jgit.merge;version="0.6.0",
+ org.eclipse.jgit.patch;version="0.6.0",
+ org.eclipse.jgit.revplot;version="0.6.0",
+ org.eclipse.jgit.revwalk;version="0.6.0",
+ org.eclipse.jgit.revwalk.filter;version="0.6.0",
+ org.eclipse.jgit.transport;version="0.6.0",
+ org.eclipse.jgit.treewalk;version="0.6.0",
+ org.eclipse.jgit.treewalk.filter;version="0.6.0",
+ org.eclipse.jgit.util;version="0.6.0",
+ org.eclipse.jgit.util.io;version="0.6.0"

Back to the top